@import "./../../../assets/styles/variables";
$paddingLeft: 24px;

.menu-label {
  height: 36px;
  background-color: #313D4F;
  color: #8D97B1;
  font-size: $default-font-size-plus-1;
  font-weight: 600;
  line-height: 36px;
  padding-left: $paddingLeft;
  margin-bottom: 10px;
  display: flex;
  align-items: center;
}

.all-staff-list {
  color: #8D97B1;

  font-size: $default-font-size-plus-1;
  font-weight: 600;
  line-height: 36px;
  margin-bottom: 10px;
  padding-left: $paddingLeft;
  &--header {
    display: flex;
    flex-direction: row;
    align-items: center;

  }
  &--list {
    display: flex;
    flex-direction: column;
    .all-staff-list--list__item {
      display: flex;
      align-items: center;
      flex-direction: row;
      cursor: pointer;
    }
  }
}

.patient-search {
  padding-left: 22px;
  padding-right: 22px;
  margin-bottom: 15px;

  &__wrapper {
    border-bottom: 1px solid #8A92A8;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  &--input {
    color: #8D97B1;
    font-size: $default-font-size-plus-1;
    width: 100%;
    font-weight: 600;
    line-height: 36px;
    &:focus {
      outline: none;
    }
  }
  &--icon {
    color: #768599;
  }
}

.list-appointments {
  padding-left: 22px;
  display: flex;
  flex-direction: column;
  color: #8C97B2;
  font-size: $default-font-size-plus-1;
  line-height: 19px;
  &--row {
    display: flex;
    margin-bottom: 15px;
    flex-direction: row;
    align-items: center;
  }
}

/*react animation start*/
.staffCheckbox-enter {
  max-height: 0px;
  -webkit-transition: max-height 1s ease;
  overflow: hidden;
}

.staffCheckbox-enter.staffCheckbox-enter-active {
  height: auto;
  max-height: 100px;
}

.staffCheckbox-leave {
  max-height: 100px;
  -webkit-transition: max-height 1s ease;
}

.staffCheckbox-leave.staffCheckbox-leave-active {
  overflow: hidden;
  max-height: 0px;
}

/*react animation stop*/

.staff-main__active{
  height: 30px;
  width: 5px;
  position: absolute;
  margin-left: -15px;
  background-color: #3686D8;
}
